Name:		qxgedit
Version:	0.9.11
Release:	%mkrel 1
Summary:	Qt XG Editor
License:	GPLv2+
Group:		Sound/Midi
URL:		https://qxgedit.sourceforge.io/
Source0:	https://downloads.sourceforge.net/qxgedit/%{name}-%{version}.tar.gz

BuildRequires:	cmake
BuildRequires:	qttools6
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6LinguistTools)
BuildRequires:	cmake(Qt6Svg)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	cmake(Qt6Network)
BuildRequires:	desktop-file-utils
BuildRequires:	pkgconfig(alsa)

%description
QXGEdit is a Qt GUI for editing MIDI System Exclusive files
for XG devices (eg. Yamaha DB50XG).

%prep
%setup -q

%build
%cmake_qt6
%cmake_build

%install
%cmake_install

# menu
desktop-file-install \
	--remove-key="X-SuSE-translate" \
	--remove-key="Version" \
	--set-key=Exec --set-value="%{name}" \
	--dir %{buildroot}%{_datadir}/applications \
	%{buildroot}%{_datadir}/applications/org.rncbc.%{name}.desktop

%files
%doc ChangeLog README
%license LICENSE
%{_bindir}/%{name}
%{_qt6_plugindir}/styles/libskulpturestyle.so
%{_datadir}/applications/org.rncbc.qxgedit.desktop
%{_metainfodir}/org.rncbc.qxgedit.metainfo.xml
%{_iconsdir}/*/*/*/*.png
%{_iconsdir}/*/*/*/*.svg
%{_mandir}/man1/%{name}*.1*
%lang(fr) %{_mandir}/fr/man1/%{name}*.1*


%changelog
* Wed Sep 20 2023 daviddavid <daviddavid> 0.9.11-1.mga10
+ Revision: 1988473
- new version: 0.9.11

* Wed Sep 06 2023 daviddavid <daviddavid> 0.9.10-1.mga10
+ Revision: 1984589
- new version: 0.9.10

* Wed Dec 28 2022 daviddavid <daviddavid> 0.9.8-1.mga9
+ Revision: 1927395
- new version: 0.9.8

* Sun Nov 06 2022 daviddavid <daviddavid> 0.9.7-1.mga9
+ Revision: 1904119
- new version: 0.9.7
- switch to Qt6

* Tue Sep 13 2022 neoclust <neoclust> 0.9.6-1.mga9
+ Revision: 1887551
- New version 	0.9.6
  	--remove-key="Version" \

* Mon Apr 04 2022 umeabot <umeabot> 0.9.3-2.mga9
+ Revision: 1843616
- Mageia 9 Mass Rebuild

* Wed May 19 2021 daviddavid <daviddavid> 0.9.3-1.mga9
+ Revision: 1725600
- new version: 0.9.3

* Wed Mar 17 2021 daviddavid <daviddavid> 0.9.2-1.mga9
+ Revision: 1704014
- new version: 0.9.2

* Thu Feb 25 2021 daviddavid <daviddavid> 0.9.1-1.mga9
+ Revision: 1690878
- new version: 0.9.1

* Sat Dec 19 2020 daviddavid <daviddavid> 0.9.0-1.mga8
+ Revision: 1661142
- new version: 0.9.0

* Thu Dec 17 2020 umeabot <umeabot> 0.6.3-2.mga8
+ Revision: 1659719
- Rebuild for new Qt5

* Sat Aug 01 2020 daviddavid <daviddavid> 0.6.3-1.mga8
+ Revision: 1610111
- new version: 0.6.3

* Wed Mar 25 2020 daviddavid <daviddavid> 0.6.2-1.mga8
+ Revision: 1559660
- new version: 0.6.2

* Tue Feb 18 2020 umeabot <umeabot> 0.6.1-2.mga8
+ Revision: 1541321
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Dec 22 2019 daviddavid <daviddavid> 0.6.1-1.mga8
+ Revision: 1469565
- new version: 0.6.1

* Thu Oct 17 2019 daviddavid <daviddavid> 0.6.0-1.mga8
+ Revision: 1454276
- new version: 0.6.0

* Fri Jul 12 2019 daviddavid <daviddavid> 0.5.5-1.mga8
+ Revision: 1420789
- new version: 0.5.5

* Thu Apr 11 2019 daviddavid <daviddavid> 0.5.4-1.mga7
+ Revision: 1388308
- new version: 0.5.4

* Mon Apr 01 2019 umeabot <umeabot> 0.5.3-2.mga7
+ Revision: 1384663
- Qt5 Rebuild

* Mon Mar 11 2019 daviddavid <daviddavid> 0.5.3-1.mga7
+ Revision: 1374152
- new version: 0.5.3

* Sun Sep 23 2018 umeabot <umeabot> 0.5.2-2.mga7
+ Revision: 1300759
- Mageia 7 Mass Rebuild

* Sun Jul 22 2018 daviddavid <daviddavid> 0.5.2-1.mga7
+ Revision: 1244861
- new version: 0.5.2

* Wed May 23 2018 daviddavid <daviddavid> 0.5.1-1.mga7
+ Revision: 1231764
- new version: 0.5.1

* Sat Dec 23 2017 daviddavid <daviddavid> 0.5.0-1.mga7
+ Revision: 1184159
- new version: 0.5.0

* Sat Jul 01 2017 daviddavid <daviddavid> 0.4.3-1.mga6
+ Revision: 1108863
- new version: 0.4.3
- update URL

* Fri Nov 18 2016 daviddavid <daviddavid> 0.4.2-1.mga6
+ Revision: 1068234
- initial package qxgedit

